import { conversionPropertyTypes } from '@react-three/uikit';
import { Accordion, AccordionContent, AccordionItem, AccordionTrigger, Alert, AlertDescription, AlertDialog, AlertDialogAction, AlertDialogCancel, AlertDialogContent, AlertDialogDescription, AlertDialogFooter, AlertDialogHeader, AlertDialogOverlay, AlertDialogTitle, AlertDialogTrigger, AlertIcon, AlertTitle, Avatar, Badge, Button, Card, CardContent, CardDescription, CardFooter, CardHeader, CardTitle, Checkbox, Dialog, DialogAnchor, DialogContent, DialogContentPrimitive, DialogDescription, DialogFooter, DialogHeader, DialogOverlay, DialogTitle, DialogTrigger, Input, Label, Pagination, PaginationContent, PaginationEllipsis, PaginationItem, PaginationLink, PaginationNext, PaginationPrevious, Progress, RadioGroup, RadioGroupItem, Separator, Skeleton, Slider, Switch, Tabs, TabsContent, TabsList, TabsTrigger, Textarea, Toggle, ToggleGroup, ToggleGroupItem, Tooltip, TooltipContent, TooltipTrigger, Video, VideoControls } from "./index.js";
export const componentMap = {
    Accordion: {
        renderAs: 'Accordion',
        renderAsImpl: Accordion,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AccordionContent: {
        renderAs: 'AccordionContent',
        renderAsImpl: AccordionContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AccordionItem: {
        renderAs: 'AccordionItem',
        renderAsImpl: AccordionItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "value": ["string"] }],
    },
    AccordionTrigger: {
        renderAs: 'AccordionTrigger',
        renderAsImpl: AccordionTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    Alert: {
        renderAs: 'Alert',
        renderAsImpl: Alert,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "variant": [["default", "destructive"]] }],
    },
    AlertDescription: {
        renderAs: 'AlertDescription',
        renderAsImpl: AlertDescription,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialog: {
        renderAs: 'AlertDialog',
        renderAsImpl: AlertDialog,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, { "open": ["boolean"], "defaultOpen": ["boolean"] }],
    },
    AlertDialogAction: {
        renderAs: 'AlertDialogAction',
        renderAsImpl: AlertDialogAction,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialogCancel: {
        renderAs: 'AlertDialogCancel',
        renderAsImpl: AlertDialogCancel,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialogContent: {
        renderAs: 'AlertDialogContent',
        renderAsImpl: AlertDialogContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialogDescription: {
        renderAs: 'AlertDialogDescription',
        renderAsImpl: AlertDialogDescription,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    AlertDialogFooter: {
        renderAs: 'AlertDialogFooter',
        renderAsImpl: AlertDialogFooter,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialogHeader: {
        renderAs: 'AlertDialogHeader',
        renderAsImpl: AlertDialogHeader,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialogOverlay: {
        renderAs: 'AlertDialogOverlay',
        renderAsImpl: AlertDialogOverlay,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertDialogTitle: {
        renderAs: 'AlertDialogTitle',
        renderAsImpl: AlertDialogTitle,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    AlertDialogTrigger: {
        renderAs: 'AlertDialogTrigger',
        renderAsImpl: AlertDialogTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertIcon: {
        renderAs: 'AlertIcon',
        renderAsImpl: AlertIcon,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    AlertTitle: {
        renderAs: 'AlertTitle',
        renderAsImpl: AlertTitle,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    Avatar: {
        renderAs: 'Avatar',
        renderAsImpl: Avatar,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Image, { "name": ["string"] }],
    },
    Badge: {
        renderAs: 'Badge',
        renderAsImpl: Badge,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "variant": [["default", "destructive", "outline", "secondary"]] }],
    },
    Button: {
        renderAs: 'Button',
        renderAsImpl: Button,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "variant": [["default", "destructive", "ghost", "link", "outline", "secondary"]], "size": [["default", "icon", "lg", "sm"]], "disabled": ["boolean"] }],
    },
    Card: {
        renderAs: 'Card',
        renderAsImpl: Card,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    CardContent: {
        renderAs: 'CardContent',
        renderAsImpl: CardContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    CardDescription: {
        renderAs: 'CardDescription',
        renderAsImpl: CardDescription,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    CardFooter: {
        renderAs: 'CardFooter',
        renderAsImpl: CardFooter,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    CardHeader: {
        renderAs: 'CardHeader',
        renderAsImpl: CardHeader,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    CardTitle: {
        renderAs: 'CardTitle',
        renderAsImpl: CardTitle,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    Checkbox: {
        renderAs: 'Checkbox',
        renderAsImpl: Checkbox,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"] }],
    },
    Dialog: {
        renderAs: 'Dialog',
        renderAsImpl: Dialog,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, { "open": ["boolean"], "defaultOpen": ["boolean"] }],
    },
    DialogAnchor: {
        renderAs: 'DialogAnchor',
        renderAsImpl: DialogAnchor,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogContent: {
        renderAs: 'DialogContent',
        renderAsImpl: DialogContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    DialogContentPrimitive: {
        renderAs: 'DialogContentPrimitive',
        renderAsImpl: DialogContentPrimitive,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogDescription: {
        renderAs: 'DialogDescription',
        renderAsImpl: DialogDescription,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogFooter: {
        renderAs: 'DialogFooter',
        renderAsImpl: DialogFooter,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    DialogHeader: {
        renderAs: 'DialogHeader',
        renderAsImpl: DialogHeader,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    DialogOverlay: {
        renderAs: 'DialogOverlay',
        renderAsImpl: DialogOverlay,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    DialogTitle: {
        renderAs: 'DialogTitle',
        renderAsImpl: DialogTitle,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, {}],
    },
    DialogTrigger: {
        renderAs: 'DialogTrigger',
        renderAsImpl: DialogTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    Input: {
        renderAs: 'Input',
        renderAsImpl: Input,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "caretBorderRadius": ["number"], "caretBorderTopRadius": ["number"], "caretBorderLeftRadius": ["number"], "caretBorderRightRadius": ["number"], "caretBorderBottomRadius": ["number"], "caretBorderWidth": ["number"], "caretBorderXWidth": ["number"], "caretBorderYWidth": ["number"], "selectionBorderRadius": ["number"], "selectionBorderTopRadius": ["number"], "selectionBorderLeftRadius": ["number"], "selectionBorderRightRadius": ["number"], "selectionBorderBottomRadius": ["number"], "selectionBorderWidth": ["number"], "selectionBorderXWidth": ["number"], "selectionBorderYWidth": ["number"], "caretBorderTopLeftRadius": ["number"], "caretBorderTopRightRadius": ["number"], "caretBorderBottomLeftRadius": ["number"], "caretBorderBottomRightRadius": ["number"], "caretBorderBottomWidth": ["number"], "caretBorderTopWidth": ["number"], "caretBorderLeftWidth": ["number"], "caretBorderRightWidth": ["number"], "selectionBorderTopLeftRadius": ["number"], "selectionBorderTopRightRadius": ["number"], "selectionBorderBottomLeftRadius": ["number"], "selectionBorderBottomRightRadius": ["number"], "selectionBorderBottomWidth": ["number"], "selectionBorderTopWidth": ["number"], "selectionBorderLeftWidth": ["number"], "selectionBorderRightWidth": ["number"], "name": ["string"], "value": ["string"], "type": [["password", "text"]], "letterSpacing": ["number"], "lineHeight": ["percentage", "number"], "fontSize": ["number"], "wordBreak": [["break-all", "break-word", "keep-all"]], "caretBorderColor": ["string", "number"], "caretBorderBend": ["number"], "caretBorderOpacity": ["number"], "selectionBorderColor": ["string", "number"], "selectionBorderBend": ["number"], "selectionBorderOpacity": ["number"], "opacity": ["number"], "color": ["string", "number"], "textAlign": [["block", "center", "left", "middle", "right"]], "verticalAlign": [["bottom", "center", "middle", "top"]], "fontFamily": ["string"], "fontWeight": [["black", "bold", "extra-black", "extra-bold", "extra-light", "light", "medium", "normal", "semi-bold", "thin"], "number"], "caretOpacity": ["number"], "caretColor": ["string", "number"], "caretWidth": ["number"], "selectionOpacity": ["number"], "selectionColor": ["string", "number"], "disabled": ["boolean"], "autocomplete": ["percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", ["", "additional-name", "additional-name webauthn", "address-level1", "address-level1 webauthn", "address-level2", "address-level2 webauthn", "address-level3", "address-level3 webauthn", "address-level4", "address-level4 webauthn", "address-line1", "address-line1 webauthn", "address-line2", "address-line2 webauthn", "address-line3", "address-line3 webauthn", "bday-day", "bday-day webauthn", "bday-month", "bday-month webauthn", "bday-year", "bday-year webauthn", "billing additional-name", "billing additional-name webauthn", "billing address-level1", "billing address-level1 webauthn", "billing address-level2", "billing address-level2 webauthn", "billing address-level3", "billing address-level3 webauthn", "billing address-level4", "billing address-level4 webauthn", "billing address-line1", "billing address-line1 webauthn", "billing address-line2", "billing address-line2 webauthn", "billing address-line3", "billing address-line3 webauthn", "billing bday-day", "billing bday-day webauthn", "billing bday-month", "billing bday-month webauthn", "billing bday-year", "billing bday-year webauthn", "billing cc-csc", "billing cc-csc webauthn", "billing cc-exp", "billing cc-exp webauthn", "billing cc-exp-month", "billing cc-exp-month webauthn", "billing cc-exp-year", "billing cc-exp-year webauthn", "billing cc-family-name", "billing cc-family-name webauthn", "billing cc-given-name", "billing cc-given-name webauthn", "billing cc-name", "billing cc-name webauthn", "billing cc-number", "billing cc-number webauthn", "billing cc-type", "billing cc-type webauthn", "billing country", "billing country webauthn", "billing country-name", "billing country-name webauthn", "billing current-password", "billing current-password webauthn", "billing email", "billing email webauthn", "billing family-name", "billing family-name webauthn", "billing given-name", "billing given-name webauthn", "billing home email", "billing home email webauthn", "billing home tel", "billing home tel webauthn", "billing home tel-area-code", "billing home tel-area-code webauthn", "billing home tel-country-code", "billing home tel-country-code webauthn", "billing home tel-extension", "billing home tel-extension webauthn", "billing home tel-local", "billing home tel-local webauthn", "billing home tel-local-prefix", "billing home tel-local-prefix webauthn", "billing home tel-local-suffix", "billing home tel-local-suffix webauthn", "billing home tel-national", "billing home tel-national webauthn", "billing honorific-prefix", "billing honorific-prefix webauthn", "billing honorific-suffix", "billing honorific-suffix webauthn", "billing mobile email", "billing mobile email webauthn", "billing mobile tel", "billing mobile tel webauthn", "billing mobile tel-area-code", "billing mobile tel-area-code webauthn", "billing mobile tel-country-code", "billing mobile tel-country-code webauthn", "billing mobile tel-extension", "billing mobile tel-extension webauthn", "billing mobile tel-local", "billing mobile tel-local webauthn", "billing mobile tel-local-prefix", "billing mobile tel-local-prefix webauthn", "billing mobile tel-local-suffix", "billing mobile tel-local-suffix webauthn", "billing mobile tel-national", "billing mobile tel-national webauthn", "billing name", "billing name webauthn", "billing new-password", "billing new-password webauthn", "billing one-time-code", "billing one-time-code webauthn", "billing organization", "billing organization webauthn", "billing postal-code", "billing postal-code webauthn", "billing street-address", "billing street-address webauthn", "billing tel", "billing tel webauthn", "billing tel-area-code", "billing tel-area-code webauthn", "billing tel-country-code", "billing tel-country-code webauthn", "billing tel-extension", "billing tel-extension webauthn", "billing tel-local", "billing tel-local webauthn", "billing tel-local-prefix", "billing tel-local-prefix webauthn", "billing tel-local-suffix", "billing tel-local-suffix webauthn", "billing tel-national", "billing tel-national webauthn", "billing transaction-amount", "billing transaction-amount webauthn", "billing transaction-currency", "billing transaction-currency webauthn", "billing username", "billing username webauthn", "billing work email", "billing work email webauthn", "billing work tel", "billing work tel webauthn", "billing work tel-area-code", "billing work tel-area-code webauthn", "billing work tel-country-code", "billing work tel-country-code webauthn", "billing work tel-extension", "billing work tel-extension webauthn", "billing work tel-local", "billing work tel-local webauthn", "billing work tel-local-prefix", "billing work tel-local-prefix webauthn", "billing work tel-local-suffix", "billing work tel-local-suffix webauthn", "billing work tel-national", "billing work tel-national webauthn", "cc-csc", "cc-csc webauthn", "cc-exp", "cc-exp webauthn", "cc-exp-month", "cc-exp-month webauthn", "cc-exp-year", "cc-exp-year webauthn", "cc-family-name", "cc-family-name webauthn", "cc-given-name", "cc-given-name webauthn", "cc-name", "cc-name webauthn", "cc-number", "cc-number webauthn", "cc-type", "cc-type webauthn", "country", "country webauthn", "country-name", "country-name webauthn", "current-password", "current-password webauthn", "email", "email webauthn", "family-name", "family-name webauthn", "given-name", "given-name webauthn", "home email", "home email webauthn", "home tel", "home tel webauthn", "home tel-area-code", "home tel-area-code webauthn", "home tel-country-code", "home tel-country-code webauthn", "home tel-extension", "home tel-extension webauthn", "home tel-local", "home tel-local webauthn", "home tel-local-prefix", "home tel-local-prefix webauthn", "home tel-local-suffix", "home tel-local-suffix webauthn", "home tel-national", "home tel-national webauthn", "honorific-prefix", "honorific-prefix webauthn", "honorific-suffix", "honorific-suffix webauthn", "mobile email", "mobile email webauthn", "mobile tel", "mobile tel webauthn", "mobile tel-area-code", "mobile tel-area-code webauthn", "mobile tel-country-code", "mobile tel-country-code webauthn", "mobile tel-extension", "mobile tel-extension webauthn", "mobile tel-local", "mobile tel-local webauthn", "mobile tel-local-prefix", "mobile tel-local-prefix webauthn", "mobile tel-local-suffix", "mobile tel-local-suffix webauthn", "mobile tel-national", "mobile tel-national webauthn", "name", "name webauthn", "new-password", "new-password webauthn", "off", "on", "one-time-code", "one-time-code webauthn", "organization", "organization webauthn", "postal-code", "postal-code webauthn", "shipping additional-name", "shipping additional-name webauthn", "shipping address-level1", "shipping address-level1 webauthn", "shipping address-level2", "shipping address-level2 webauthn", "shipping address-level3", "shipping address-level3 webauthn", "shipping address-level4", "shipping address-level4 webauthn", "shipping address-line1", "shipping address-line1 webauthn", "shipping address-line2", "shipping address-line2 webauthn", "shipping address-line3", "shipping address-line3 webauthn", "shipping bday-day", "shipping bday-day webauthn", "shipping bday-month", "shipping bday-month webauthn", "shipping bday-year", "shipping bday-year webauthn", "shipping cc-csc", "shipping cc-csc webauthn", "shipping cc-exp", "shipping cc-exp webauthn", "shipping cc-exp-month", "shipping cc-exp-month webauthn", "shipping cc-exp-year", "shipping cc-exp-year webauthn", "shipping cc-family-name", "shipping cc-family-name webauthn", "shipping cc-given-name", "shipping cc-given-name webauthn", "shipping cc-name", "shipping cc-name webauthn", "shipping cc-number", "shipping cc-number webauthn", "shipping cc-type", "shipping cc-type webauthn", "shipping country", "shipping country webauthn", "shipping country-name", "shipping country-name webauthn", "shipping current-password", "shipping current-password webauthn", "shipping email", "shipping email webauthn", "shipping family-name", "shipping family-name webauthn", "shipping given-name", "shipping given-name webauthn", "shipping home email", "shipping home email webauthn", "shipping home tel", "shipping home tel webauthn", "shipping home tel-area-code", "shipping home tel-area-code webauthn", "shipping home tel-country-code", "shipping home tel-country-code webauthn", "shipping home tel-extension", "shipping home tel-extension webauthn", "shipping home tel-local", "shipping home tel-local webauthn", "shipping home tel-local-prefix", "shipping home tel-local-prefix webauthn", "shipping home tel-local-suffix", "shipping home tel-local-suffix webauthn", "shipping home tel-national", "shipping home tel-national webauthn", "shipping honorific-prefix", "shipping honorific-prefix webauthn", "shipping honorific-suffix", "shipping honorific-suffix webauthn", "shipping mobile email", "shipping mobile email webauthn", "shipping mobile tel", "shipping mobile tel webauthn", "shipping mobile tel-area-code", "shipping mobile tel-area-code webauthn", "shipping mobile tel-country-code", "shipping mobile tel-country-code webauthn", "shipping mobile tel-extension", "shipping mobile tel-extension webauthn", "shipping mobile tel-local", "shipping mobile tel-local webauthn", "shipping mobile tel-local-prefix", "shipping mobile tel-local-prefix webauthn", "shipping mobile tel-local-suffix", "shipping mobile tel-local-suffix webauthn", "shipping mobile tel-national", "shipping mobile tel-national webauthn", "shipping name", "shipping name webauthn", "shipping new-password", "shipping new-password webauthn", "shipping one-time-code", "shipping one-time-code webauthn", "shipping organization", "shipping organization webauthn", "shipping postal-code", "shipping postal-code webauthn", "shipping street-address", "shipping street-address webauthn", "shipping tel", "shipping tel webauthn", "shipping tel-area-code", "shipping tel-area-code webauthn", "shipping tel-country-code", "shipping tel-country-code webauthn", "shipping tel-extension", "shipping tel-extension webauthn", "shipping tel-local", "shipping tel-local webauthn", "shipping tel-local-prefix", "shipping tel-local-prefix webauthn", "shipping tel-local-suffix", "shipping tel-local-suffix webauthn", "shipping tel-national", "shipping tel-national webauthn", "shipping transaction-amount", "shipping transaction-amount webauthn", "shipping transaction-currency", "shipping transaction-currency webauthn", "shipping username", "shipping username webauthn", "shipping work email", "shipping work email webauthn", "shipping work tel", "shipping work tel webauthn", "shipping work tel-area-code", "shipping work tel-area-code webauthn", "shipping work tel-country-code", "shipping work tel-country-code webauthn", "shipping work tel-extension", "shipping work tel-extension webauthn", "shipping work tel-local", "shipping work tel-local webauthn", "shipping work tel-local-prefix", "shipping work tel-local-prefix webauthn", "shipping work tel-local-suffix", "shipping work tel-local-suffix webauthn", "shipping work tel-national", "shipping work tel-national webauthn", "street-address", "street-address webauthn", "tel", "tel webauthn", "tel-area-code", "tel-area-code webauthn", "tel-country-code", "tel-country-code webauthn", "tel-extension", "tel-extension webauthn", "tel-local", "tel-local webauthn", "tel-local-prefix", "tel-local-prefix webauthn", "tel-local-suffix", "tel-local-suffix webauthn", "tel-national", "tel-national webauthn", "transaction-amount", "transaction-amount webauthn", "transaction-currency", "transaction-currency webauthn", "username", "username webauthn", "work email", "work email webauthn", "work tel", "work tel webauthn", "work tel-area-code", "work tel-area-code webauthn", "work tel-country-code", "work tel-country-code webauthn", "work tel-extension", "work tel-extension webauthn", "work tel-local", "work tel-local webauthn", "work tel-local-prefix", "work tel-local-prefix webauthn", "work tel-local-suffix", "work tel-local-suffix webauthn", "work tel-national", "work tel-national webauthn"]], "defaultValue": ["string"], "tabIndex": ["number"], "placeholder": ["string"] }],
    },
    Label: {
        renderAs: 'Label',
        renderAsImpl: Label,
        children: undefined,
        propertyTypes: [conversionPropertyTypes.Inheriting, { "disabled": ["boolean"] }],
    },
    Pagination: {
        renderAs: 'Pagination',
        renderAsImpl: Pagination,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    PaginationContent: {
        renderAs: 'PaginationContent',
        renderAsImpl: PaginationContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    PaginationEllipsis: {
        renderAs: 'PaginationEllipsis',
        renderAsImpl: PaginationEllipsis,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    PaginationItem: {
        renderAs: 'PaginationItem',
        renderAsImpl: PaginationItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    PaginationLink: {
        renderAs: 'PaginationLink',
        renderAsImpl: PaginationLink,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    PaginationNext: {
        renderAs: 'PaginationNext',
        renderAsImpl: PaginationNext,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    PaginationPrevious: {
        renderAs: 'PaginationPrevious',
        renderAsImpl: PaginationPrevious,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "size": [["default", "icon", "lg", "sm"]], "isActive": ["boolean"] }],
    },
    Progress: {
        renderAs: 'Progress',
        renderAsImpl: Progress,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["number"], "name": ["string"] }],
    },
    RadioGroup: {
        renderAs: 'RadioGroup',
        renderAsImpl: RadioGroup,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["string"], "defaultValue": ["string"], "name": ["string"] }],
    },
    RadioGroupItem: {
        renderAs: 'RadioGroupItem',
        renderAsImpl: RadioGroupItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "disabled": ["boolean"], "value": ["string"] }],
    },
    Separator: {
        renderAs: 'Separator',
        renderAsImpl: Separator,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "orientation": [["horizontal", "vertical"]] }],
    },
    Skeleton: {
        renderAs: 'Skeleton',
        renderAsImpl: Skeleton,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    Slider: {
        renderAs: 'Slider',
        renderAsImpl: Slider,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "disabled": ["boolean"], "value": ["number"], "defaultValue": ["number"], "min": ["number"], "max": ["number"], "step": ["number"], "name": ["string"] }],
    },
    Switch: {
        renderAs: 'Switch',
        renderAsImpl: Switch,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"] }],
    },
    Tabs: {
        renderAs: 'Tabs',
        renderAsImpl: Tabs,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "value": ["string"], "defaultValue": ["string"], "name": ["string"] }],
    },
    TabsContent: {
        renderAs: 'TabsContent',
        renderAsImpl: TabsContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "value": ["string"] }],
    },
    TabsList: {
        renderAs: 'TabsList',
        renderAsImpl: TabsList,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    TabsTrigger: {
        renderAs: 'TabsTrigger',
        renderAsImpl: TabsTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "disabled": ["boolean"], "value": ["string"] }],
    },
    Textarea: {
        renderAs: 'Textarea',
        renderAsImpl: Textarea,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "caretBorderRadius": ["number"], "caretBorderTopRadius": ["number"], "caretBorderLeftRadius": ["number"], "caretBorderRightRadius": ["number"], "caretBorderBottomRadius": ["number"], "caretBorderWidth": ["number"], "caretBorderXWidth": ["number"], "caretBorderYWidth": ["number"], "selectionBorderRadius": ["number"], "selectionBorderTopRadius": ["number"], "selectionBorderLeftRadius": ["number"], "selectionBorderRightRadius": ["number"], "selectionBorderBottomRadius": ["number"], "selectionBorderWidth": ["number"], "selectionBorderXWidth": ["number"], "selectionBorderYWidth": ["number"], "caretBorderTopLeftRadius": ["number"], "caretBorderTopRightRadius": ["number"], "caretBorderBottomLeftRadius": ["number"], "caretBorderBottomRightRadius": ["number"], "caretBorderBottomWidth": ["number"], "caretBorderTopWidth": ["number"], "caretBorderLeftWidth": ["number"], "caretBorderRightWidth": ["number"], "selectionBorderTopLeftRadius": ["number"], "selectionBorderTopRightRadius": ["number"], "selectionBorderBottomLeftRadius": ["number"], "selectionBorderBottomRightRadius": ["number"], "selectionBorderBottomWidth": ["number"], "selectionBorderTopWidth": ["number"], "selectionBorderLeftWidth": ["number"], "selectionBorderRightWidth": ["number"], "name": ["string"], "value": ["string"], "type": [["password", "text"]], "letterSpacing": ["number"], "lineHeight": ["percentage", "number"], "fontSize": ["number"], "wordBreak": [["break-all", "break-word", "keep-all"]], "caretBorderColor": ["string", "number"], "caretBorderBend": ["number"], "caretBorderOpacity": ["number"], "selectionBorderColor": ["string", "number"], "selectionBorderBend": ["number"], "selectionBorderOpacity": ["number"], "opacity": ["number"], "color": ["string", "number"], "textAlign": [["block", "center", "left", "middle", "right"]], "verticalAlign": [["bottom", "center", "middle", "top"]], "fontFamily": ["string"], "fontWeight": [["black", "bold", "extra-black", "extra-bold", "extra-light", "light", "medium", "normal", "semi-bold", "thin"], "number"], "caretOpacity": ["number"], "caretColor": ["string", "number"], "caretWidth": ["number"], "selectionOpacity": ["number"], "selectionColor": ["string", "number"], "disabled": ["boolean"], "autocomplete": ["percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", "percentage", ["", "additional-name", "additional-name webauthn", "address-level1", "address-level1 webauthn", "address-level2", "address-level2 webauthn", "address-level3", "address-level3 webauthn", "address-level4", "address-level4 webauthn", "address-line1", "address-line1 webauthn", "address-line2", "address-line2 webauthn", "address-line3", "address-line3 webauthn", "bday-day", "bday-day webauthn", "bday-month", "bday-month webauthn", "bday-year", "bday-year webauthn", "billing additional-name", "billing additional-name webauthn", "billing address-level1", "billing address-level1 webauthn", "billing address-level2", "billing address-level2 webauthn", "billing address-level3", "billing address-level3 webauthn", "billing address-level4", "billing address-level4 webauthn", "billing address-line1", "billing address-line1 webauthn", "billing address-line2", "billing address-line2 webauthn", "billing address-line3", "billing address-line3 webauthn", "billing bday-day", "billing bday-day webauthn", "billing bday-month", "billing bday-month webauthn", "billing bday-year", "billing bday-year webauthn", "billing cc-csc", "billing cc-csc webauthn", "billing cc-exp", "billing cc-exp webauthn", "billing cc-exp-month", "billing cc-exp-month webauthn", "billing cc-exp-year", "billing cc-exp-year webauthn", "billing cc-family-name", "billing cc-family-name webauthn", "billing cc-given-name", "billing cc-given-name webauthn", "billing cc-name", "billing cc-name webauthn", "billing cc-number", "billing cc-number webauthn", "billing cc-type", "billing cc-type webauthn", "billing country", "billing country webauthn", "billing country-name", "billing country-name webauthn", "billing current-password", "billing current-password webauthn", "billing email", "billing email webauthn", "billing family-name", "billing family-name webauthn", "billing given-name", "billing given-name webauthn", "billing home email", "billing home email webauthn", "billing home tel", "billing home tel webauthn", "billing home tel-area-code", "billing home tel-area-code webauthn", "billing home tel-country-code", "billing home tel-country-code webauthn", "billing home tel-extension", "billing home tel-extension webauthn", "billing home tel-local", "billing home tel-local webauthn", "billing home tel-local-prefix", "billing home tel-local-prefix webauthn", "billing home tel-local-suffix", "billing home tel-local-suffix webauthn", "billing home tel-national", "billing home tel-national webauthn", "billing honorific-prefix", "billing honorific-prefix webauthn", "billing honorific-suffix", "billing honorific-suffix webauthn", "billing mobile email", "billing mobile email webauthn", "billing mobile tel", "billing mobile tel webauthn", "billing mobile tel-area-code", "billing mobile tel-area-code webauthn", "billing mobile tel-country-code", "billing mobile tel-country-code webauthn", "billing mobile tel-extension", "billing mobile tel-extension webauthn", "billing mobile tel-local", "billing mobile tel-local webauthn", "billing mobile tel-local-prefix", "billing mobile tel-local-prefix webauthn", "billing mobile tel-local-suffix", "billing mobile tel-local-suffix webauthn", "billing mobile tel-national", "billing mobile tel-national webauthn", "billing name", "billing name webauthn", "billing new-password", "billing new-password webauthn", "billing one-time-code", "billing one-time-code webauthn", "billing organization", "billing organization webauthn", "billing postal-code", "billing postal-code webauthn", "billing street-address", "billing street-address webauthn", "billing tel", "billing tel webauthn", "billing tel-area-code", "billing tel-area-code webauthn", "billing tel-country-code", "billing tel-country-code webauthn", "billing tel-extension", "billing tel-extension webauthn", "billing tel-local", "billing tel-local webauthn", "billing tel-local-prefix", "billing tel-local-prefix webauthn", "billing tel-local-suffix", "billing tel-local-suffix webauthn", "billing tel-national", "billing tel-national webauthn", "billing transaction-amount", "billing transaction-amount webauthn", "billing transaction-currency", "billing transaction-currency webauthn", "billing username", "billing username webauthn", "billing work email", "billing work email webauthn", "billing work tel", "billing work tel webauthn", "billing work tel-area-code", "billing work tel-area-code webauthn", "billing work tel-country-code", "billing work tel-country-code webauthn", "billing work tel-extension", "billing work tel-extension webauthn", "billing work tel-local", "billing work tel-local webauthn", "billing work tel-local-prefix", "billing work tel-local-prefix webauthn", "billing work tel-local-suffix", "billing work tel-local-suffix webauthn", "billing work tel-national", "billing work tel-national webauthn", "cc-csc", "cc-csc webauthn", "cc-exp", "cc-exp webauthn", "cc-exp-month", "cc-exp-month webauthn", "cc-exp-year", "cc-exp-year webauthn", "cc-family-name", "cc-family-name webauthn", "cc-given-name", "cc-given-name webauthn", "cc-name", "cc-name webauthn", "cc-number", "cc-number webauthn", "cc-type", "cc-type webauthn", "country", "country webauthn", "country-name", "country-name webauthn", "current-password", "current-password webauthn", "email", "email webauthn", "family-name", "family-name webauthn", "given-name", "given-name webauthn", "home email", "home email webauthn", "home tel", "home tel webauthn", "home tel-area-code", "home tel-area-code webauthn", "home tel-country-code", "home tel-country-code webauthn", "home tel-extension", "home tel-extension webauthn", "home tel-local", "home tel-local webauthn", "home tel-local-prefix", "home tel-local-prefix webauthn", "home tel-local-suffix", "home tel-local-suffix webauthn", "home tel-national", "home tel-national webauthn", "honorific-prefix", "honorific-prefix webauthn", "honorific-suffix", "honorific-suffix webauthn", "mobile email", "mobile email webauthn", "mobile tel", "mobile tel webauthn", "mobile tel-area-code", "mobile tel-area-code webauthn", "mobile tel-country-code", "mobile tel-country-code webauthn", "mobile tel-extension", "mobile tel-extension webauthn", "mobile tel-local", "mobile tel-local webauthn", "mobile tel-local-prefix", "mobile tel-local-prefix webauthn", "mobile tel-local-suffix", "mobile tel-local-suffix webauthn", "mobile tel-national", "mobile tel-national webauthn", "name", "name webauthn", "new-password", "new-password webauthn", "off", "on", "one-time-code", "one-time-code webauthn", "organization", "organization webauthn", "postal-code", "postal-code webauthn", "shipping additional-name", "shipping additional-name webauthn", "shipping address-level1", "shipping address-level1 webauthn", "shipping address-level2", "shipping address-level2 webauthn", "shipping address-level3", "shipping address-level3 webauthn", "shipping address-level4", "shipping address-level4 webauthn", "shipping address-line1", "shipping address-line1 webauthn", "shipping address-line2", "shipping address-line2 webauthn", "shipping address-line3", "shipping address-line3 webauthn", "shipping bday-day", "shipping bday-day webauthn", "shipping bday-month", "shipping bday-month webauthn", "shipping bday-year", "shipping bday-year webauthn", "shipping cc-csc", "shipping cc-csc webauthn", "shipping cc-exp", "shipping cc-exp webauthn", "shipping cc-exp-month", "shipping cc-exp-month webauthn", "shipping cc-exp-year", "shipping cc-exp-year webauthn", "shipping cc-family-name", "shipping cc-family-name webauthn", "shipping cc-given-name", "shipping cc-given-name webauthn", "shipping cc-name", "shipping cc-name webauthn", "shipping cc-number", "shipping cc-number webauthn", "shipping cc-type", "shipping cc-type webauthn", "shipping country", "shipping country webauthn", "shipping country-name", "shipping country-name webauthn", "shipping current-password", "shipping current-password webauthn", "shipping email", "shipping email webauthn", "shipping family-name", "shipping family-name webauthn", "shipping given-name", "shipping given-name webauthn", "shipping home email", "shipping home email webauthn", "shipping home tel", "shipping home tel webauthn", "shipping home tel-area-code", "shipping home tel-area-code webauthn", "shipping home tel-country-code", "shipping home tel-country-code webauthn", "shipping home tel-extension", "shipping home tel-extension webauthn", "shipping home tel-local", "shipping home tel-local webauthn", "shipping home tel-local-prefix", "shipping home tel-local-prefix webauthn", "shipping home tel-local-suffix", "shipping home tel-local-suffix webauthn", "shipping home tel-national", "shipping home tel-national webauthn", "shipping honorific-prefix", "shipping honorific-prefix webauthn", "shipping honorific-suffix", "shipping honorific-suffix webauthn", "shipping mobile email", "shipping mobile email webauthn", "shipping mobile tel", "shipping mobile tel webauthn", "shipping mobile tel-area-code", "shipping mobile tel-area-code webauthn", "shipping mobile tel-country-code", "shipping mobile tel-country-code webauthn", "shipping mobile tel-extension", "shipping mobile tel-extension webauthn", "shipping mobile tel-local", "shipping mobile tel-local webauthn", "shipping mobile tel-local-prefix", "shipping mobile tel-local-prefix webauthn", "shipping mobile tel-local-suffix", "shipping mobile tel-local-suffix webauthn", "shipping mobile tel-national", "shipping mobile tel-national webauthn", "shipping name", "shipping name webauthn", "shipping new-password", "shipping new-password webauthn", "shipping one-time-code", "shipping one-time-code webauthn", "shipping organization", "shipping organization webauthn", "shipping postal-code", "shipping postal-code webauthn", "shipping street-address", "shipping street-address webauthn", "shipping tel", "shipping tel webauthn", "shipping tel-area-code", "shipping tel-area-code webauthn", "shipping tel-country-code", "shipping tel-country-code webauthn", "shipping tel-extension", "shipping tel-extension webauthn", "shipping tel-local", "shipping tel-local webauthn", "shipping tel-local-prefix", "shipping tel-local-prefix webauthn", "shipping tel-local-suffix", "shipping tel-local-suffix webauthn", "shipping tel-national", "shipping tel-national webauthn", "shipping transaction-amount", "shipping transaction-amount webauthn", "shipping transaction-currency", "shipping transaction-currency webauthn", "shipping username", "shipping username webauthn", "shipping work email", "shipping work email webauthn", "shipping work tel", "shipping work tel webauthn", "shipping work tel-area-code", "shipping work tel-area-code webauthn", "shipping work tel-country-code", "shipping work tel-country-code webauthn", "shipping work tel-extension", "shipping work tel-extension webauthn", "shipping work tel-local", "shipping work tel-local webauthn", "shipping work tel-local-prefix", "shipping work tel-local-prefix webauthn", "shipping work tel-local-suffix", "shipping work tel-local-suffix webauthn", "shipping work tel-national", "shipping work tel-national webauthn", "street-address", "street-address webauthn", "tel", "tel webauthn", "tel-area-code", "tel-area-code webauthn", "tel-country-code", "tel-country-code webauthn", "tel-extension", "tel-extension webauthn", "tel-local", "tel-local webauthn", "tel-local-prefix", "tel-local-prefix webauthn", "tel-local-suffix", "tel-local-suffix webauthn", "tel-national", "tel-national webauthn", "transaction-amount", "transaction-amount webauthn", "transaction-currency", "transaction-currency webauthn", "username", "username webauthn", "work email", "work email webauthn", "work tel", "work tel webauthn", "work tel-area-code", "work tel-area-code webauthn", "work tel-country-code", "work tel-country-code webauthn", "work tel-extension", "work tel-extension webauthn", "work tel-local", "work tel-local webauthn", "work tel-local-prefix", "work tel-local-prefix webauthn", "work tel-local-suffix", "work tel-local-suffix webauthn", "work tel-national", "work tel-national webauthn"]], "defaultValue": ["string"], "tabIndex": ["number"], "placeholder": ["string"] }],
    },
    Toggle: {
        renderAs: 'Toggle',
        renderAsImpl: Toggle,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"], "variant": [["default", "outline"]], "size": [["default", "lg", "sm"]] }],
    },
    ToggleGroup: {
        renderAs: 'ToggleGroup',
        renderAsImpl: ToggleGroup,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "variant": [["default", "outline"]], "size": [["default", "lg", "sm"]] }],
    },
    ToggleGroupItem: {
        renderAs: 'ToggleGroupItem',
        renderAsImpl: ToggleGroupItem,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "defaultChecked": ["boolean"], "checked": ["boolean"], "disabled": ["boolean"] }],
    },
    Tooltip: {
        renderAs: 'Tooltip',
        renderAsImpl: Tooltip,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    TooltipContent: {
        renderAs: 'TooltipContent',
        renderAsImpl: TooltipContent,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"], "sideOffset": ["number"] }],
    },
    TooltipTrigger: {
        renderAs: 'TooltipTrigger',
        renderAsImpl: TooltipTrigger,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
    Video: {
        renderAs: 'Video',
        renderAsImpl: Video,
        children: undefined,
        propertyTypes: [...conversionPropertyTypes.Image, { "controls": ["boolean"], "volume": ["number"], "preservesPitch": ["boolean"], "playbackRate": ["number"], "muted": ["boolean"], "loop": ["boolean"], "autoplay": ["boolean"], "crossOrigin": ["string"] }],
    },
    VideoControls: {
        renderAs: 'VideoControls',
        renderAsImpl: VideoControls,
        children: 'none',
        propertyTypes: [...conversionPropertyTypes.Container, { "name": ["string"] }],
    },
};
